#!/bin/bash

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# Based on https://git.beaker-project.org/cgit/beaker/plain/Misc/tag-release.sh
# Ensures Python project version, RPM version & git tag are all consistent

set -e

version="$1"
prerelease="$2"

if [ -z "$version" ] ; then
    echo "Usage: $0 <version>" >&2
    echo "Example: $0 4.2" >&2
    exit 1
fi

if git status --porcelain | grep -qE '^.(M|[?])' ; then
    echo "Work tree has modifications, stash or add before tagging" >&2
    exit 1
fi

sed -i -e "/^Version:/c\Version:        $version" fedmod.spec
sed -i -e "/version=/c\    version='$version'," */setup.py
git add fedmod.spec */setup.py
git commit -m "Update version metadata for release $version"
tito tag --keep-version --accept-auto-changelog
